import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule, Routes } from '@angular/router';

import { RestexampleComponent }      from './restexample/restexample.component';
import { GeneralexamplesComponent } from './generalexamples/generalexamples.component'

const routes: Routes = [
  { path: 'restexample', component: RestexampleComponent },
  { path: 'generalexamples', component: GeneralexamplesComponent },
  { path: '*', redirectTo: '/restexample', pathMatch: 'full' }
];

@NgModule({
  declarations: [],
  imports: [
    CommonModule,
    RouterModule.forRoot(routes)
  ],
  exports: [ RouterModule ]
})
export class AppRoutingModule { }
