import React from 'react';
import { BrowserRouter, Route } from "react-router-dom";
import './App.css';
import axios from "axios"
import ReactDOM from "react-dom"
import SearchForm from "./Component/SearchForm/SearchForm"
import CloseButton from "./Component/CloseButton/CloseButtton"
import Navigator from "./Component/Navigator/Navigator"
import SearchFilm from "./Component/SearchFilm/SearchFilm"
import HomePage from "./Component/HomePage/Hompage"



class App extends React.Component {

  render() {

    return (
      <React.Fragment>
        <BrowserRouter>
          <Navigator />
          <Route exact path="/" component={HomePage}/>
          <Route path="/search-film"  component={SearchFilm}/>
        </BrowserRouter>


      </React.Fragment>
    )
  }
}

export default App;
